NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.DieInsertBuilder Class Reference

Represents die insert builder. More...

Inheritance diagram for NXOpen.Tooling.DieInsertBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BoundingBoxTypeItems { Block, Cylinder }
 Specifies the bounding box type. More...
 
enum  DieInsertTypeItems { DieInsert, BackingInsert }
 Specifies the type of insert. More...
 
enum  InsertModeItems { StandardInsert, SketchProfile, BoundingBox }
 Specifies the insert mode for die. More...
 
enum  PositionItems { Top, Bottom }
 Specifies the position of piercing inserts, for EDW only More...
 

Public Member Functions

unsafe void AddDieInsertPart ()
 Add die insert or backing insert part into assembly when creating user defined insert datum plane More...
 
unsafe void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
unsafe void CreateUserDefinedDieInsert ()
 Create user defined die insert or backing insert for selected scraps when creating die insert by user defined type More...
 
unsafe void CreateUserDefinedInsertDatumPlane ()
 Create datum plane for user defined die or backing insert outline. More...
 
unsafe void SetManipulatorToMatrixAndPosition (NXOpen.Matrix3x3 matrix, NXOpen.Point3d position)
 Sets box csys matrix. More...
 
unsafe void StandardDieInsert ()
 Insert the standard die by invoking standard part management dialog More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.DieInsertBuilder.BoundingBoxTypeItems 
BoundingBoxType [get, set]
 Returns or sets the bounding box type More...
 
unsafe NXOpen.Point3d BoxPosition [get, set]
 Returns or sets the position of csys for box. More...
 
unsafe bool ConceptDesign [get, set]
 Returns or sets the value indicating if the design is for a concept. More...
 
unsafe
NXOpen.Tooling.DieInsertBuilder.DieInsertTypeItems 
DieInsertType [get, set]
 Returns or sets the die insert type. More...
 
unsafe NXOpen.TaggedObject DieStandardInsertInstance [get, set]
 Returns or sets the die standard insert instance. More...
 
unsafe
NXOpen.Tooling.DieInsertBuilder.InsertModeItems 
InsertMode [get, set]
 Returns or sets the insert mode More...
 
unsafe string NewPartNames [get, set]
 Returns or sets the new component names. More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeX [get]
 Returns the offset value linear dimension negative x More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeY [get]
 Returns the offset value linear dimension negative y More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeZ [get]
 Returns the offset value linear dimension negative z More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveX [get]
 Returns the offset value linear dimension positive x More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveY [get]
 Returns the offset value linear dimension positive y More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveZ [get]
 Returns the offset value linear dimension positive z More...
 
unsafe string ParentPartName [get, set]
 Returns or sets the parent part name to create insert. More...
 
unsafe
NXOpen.Tooling.DieInsertBuilder.PositionItems 
Position [get, set]
 Returns or sets the die insert position. More...
 
unsafe NXOpen.Expression RadialOffset [get]
 Returns the radial offset value for cylinder box More...
 
unsafe bool RenameDialog [get, set]
 Returns or sets the rename dialog option for normal pierce design. More...
 
unsafe NXOpen.Section SelectDieInsertOutline [get]
 Returns the select die insert outline More...
 
unsafe NXOpen.SelectBodyList SelectScrap [get]
 Returns the select scraps for pierce insert design. More...
 
unsafe NXOpen.SelectBodyList SelectUserDefinedDieInsertForEdit [get]
 Returns the select user defined insert to edit More...
 
unsafe NXOpen.Direction SelectVector [get, set]
 Returns or sets the select vector More...
 
unsafe double UserDefinedDieInsertClearance [get, set]
 Returns or sets the user defined die insert clearance More...
 
unsafe NXOpen.Expression UserDefinedDieInsertHeight [get]
 Returns the user defined die insert height More...
 
unsafe bool WithoutFalseBody [get, set]
 Returns or sets the option of whether to create false body for die or backing insert. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents die insert builder.

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateDieInsertBuilder

Default values.

Property Value

BoundingBoxType

Block

ConceptDesign

0

DieInsertType

DieInsert

InsertMode

StandardInsert

Position

Bottom

RenameDialog

0

UserDefinedDieInsertClearance

0

UserDefinedDieInsertHeight.Value

0 (millimeters part), 0 (inches part)

WithoutFalseBody

0

Created in NX11.0.0

Member Enumeration Documentation

Specifies the bounding box type.

Enumerator
Block 

The bounding box type is Block

Cylinder 

The bounding box type is Cylinder

Specifies the type of insert.

Enumerator
DieInsert 
BackingInsert 

Specifies the insert mode for die.

Enumerator
StandardInsert 

The die insert mode is standard insert

SketchProfile 

The die insert mode is sketch profile

BoundingBox 

The die insert mode is bounding box

Specifies the position of piercing inserts, for EDW only

Enumerator
Top 

The position is top side

Bottom 

The position is bottom side

Member Function Documentation

unsafe void NXOpen.Tooling.DieInsertBuilder.AddDieInsertPart ( )
inline

Add die insert or backing insert part into assembly when creating user defined insert datum plane

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.DieInsertBuilder.CalculateBoxSize ( )
inline

Calculate box size and set directions, edge length, lower point position.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.DieInsertBuilder.CreateUserDefinedDieInsert ( )
inline

Create user defined die insert or backing insert for selected scraps when creating die insert by user defined type

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.DieInsertBuilder.CreateUserDefinedInsertDatumPlane ( )
inline

Create datum plane for user defined die or backing insert outline.

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.DieInsertBuilder.SetManipulatorToMatrixAndPosition ( NXOpen.Matrix3x3  matrix,
NXOpen.Point3d  position 
)
inline

Sets box csys matrix.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrix
position
unsafe void NXOpen.Tooling.DieInsertBuilder.StandardDieInsert ( )
inline

Insert the standard die by invoking standard part management dialog

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.Tooling.DieInsertBuilder.BoundingBoxTypeItems NXOpen.Tooling.DieInsertBuilder.BoundingBoxType
getset

Returns or sets the bounding box type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point3d NXOpen.Tooling.DieInsertBuilder.BoxPosition
getset

Returns or sets the position of csys for box.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.DieInsertBuilder.ConceptDesign
getset

Returns or sets the value indicating if the design is for a concept.

True indicates it is a concept design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.DieInsertBuilder.DieInsertTypeItems NXOpen.Tooling.DieInsertBuilder.DieInsertType
getset

Returns or sets the die insert type.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.TaggedObject NXOpen.Tooling.DieInsertBuilder.DieStandardInsertInstance
getset

Returns or sets the die standard insert instance.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.DieInsertBuilder.InsertModeItems NXOpen.Tooling.DieInsertBuilder.InsertMode
getset

Returns or sets the insert mode

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.DieInsertBuilder.NewPartNames
getset

Returns or sets the new component names.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.OffsetValueLinearDimensionNegativeX
get

Returns the offset value linear dimension negative x

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.OffsetValueLinearDimensionNegativeY
get

Returns the offset value linear dimension negative y

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.OffsetValueLinearDimensionNegativeZ
get

Returns the offset value linear dimension negative z

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.OffsetValueLinearDimensionPositiveX
get

Returns the offset value linear dimension positive x

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.OffsetValueLinearDimensionPositiveY
get

Returns the offset value linear dimension positive y

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.OffsetValueLinearDimensionPositiveZ
get

Returns the offset value linear dimension positive z

Created in NX11.0.0

License requirements: None.

unsafe string NXOpen.Tooling.DieInsertBuilder.ParentPartName
getset

Returns or sets the parent part name to create insert.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.DieInsertBuilder.PositionItems NXOpen.Tooling.DieInsertBuilder.Position
getset

Returns or sets the die insert position.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.RadialOffset
get

Returns the radial offset value for cylinder box

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.DieInsertBuilder.RenameDialog
getset

Returns or sets the rename dialog option for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.DieInsertBuilder.SelectDieInsertOutline
get

Returns the select die insert outline

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.DieInsertBuilder.SelectScrap
get

Returns the select scraps for pierce insert design.

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.DieInsertBuilder.SelectUserDefinedDieInsertForEdit
get

Returns the select user defined insert to edit

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.DieInsertBuilder.SelectVector
getset

Returns or sets the select vector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.DieInsertBuilder.UserDefinedDieInsertClearance
getset

Returns or sets the user defined die insert clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.DieInsertBuilder.UserDefinedDieInsertHeight
get

Returns the user defined die insert height

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.DieInsertBuilder.WithoutFalseBody
getset

Returns or sets the option of whether to create false body for die or backing insert.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.